### Hierarchy

- Bind

## Index

### Constructors

- constructor

### Properties

- combined
- eventList
- name
- pathList
- setupFunction
- sourcePath
- thisPathList

### Methods

- event
- forControl
- forData
- forLocalViewModel
- forViewModel
- oneTime
- oneWay
- presenter
- twoWays

## Constructors

### constructor

- new Bind(setupFunction: function, sourcePath: bindingFunction, name?: string, eventList?: string[]): Bind

- - Defined in src/core/Bind.ts:163

  #### Parameters

  - ##### setupFunction: function

    - - (name: string, b: Bind, c: IAtomComponent, e: any, self?: any): void

      - #### Parameters

        - ##### name: string

        - ##### b: Bind

        - ##### c: IAtomComponent

        - ##### e: any

        - ##### Optional self: any

        #### Returns void

  - ##### sourcePath: bindingFunction

  - ##### Optional name: string

  - ##### Optional eventList: string[]

  #### Returns Bind

## Properties

### combined

combined: string[][]

- Defined in src/core/Bind.ts:163

### Optional eventList

eventList: string[]

- Defined in src/core/Bind.ts:169

### Optional name

name: string

- Defined in src/core/Bind.ts:168

### pathList

pathList: string[][]

- Defined in src/core/Bind.ts:159

### setupFunction

setupFunction: function

- Defined in src/core/Bind.ts:166

#### Type declaration

- - (name: string, b: Bind, c: IAtomComponent, e: any, self?: any): void

  - #### Parameters

    - ##### name: string

    - ##### b: Bind

    - ##### c: IAtomComponent

    - ##### e: any

    - ##### Optional self: any

    #### Returns void

### sourcePath

sourcePath: bindingFunction

- Defined in src/core/Bind.ts:157

### thisPathList

thisPathList: string[][]

- Defined in src/core/Bind.ts:161

## Methods

### Static event

- event<T>(sourcePath: function): any

- - Defined in src/core/Bind.ts:134

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: function

    - - (control: T, e?: CustomEvent): void

      - #### Parameters

        - ##### control: T

        - ##### Optional e: CustomEvent

        #### Returns void

  #### Returns any

### Static forControl

- forControl<C>(): IBinder<C>

- - Defined in src/core/Bind.ts:113

  #### Type parameters

  - #### C: IAtomComponent

  #### Returns IBinder<C>

### Static forData

- forData<D>(): IBinder<IData<D>>

- - Defined in src/core/Bind.ts:117

  #### Type parameters

  - #### D

  #### Returns IBinder<IData<D>>

### Static forLocalViewModel

- forLocalViewModel<D>(): IBinder<ILVM<D>>

- - Defined in src/core/Bind.ts:125

  #### Type parameters

  - #### D

  #### Returns IBinder<ILVM<D>>

### Static forViewModel

- forViewModel<D>(): IBinder<IVM<D>>

- - Defined in src/core/Bind.ts:121

  #### Type parameters

  - #### D

  #### Returns IBinder<IVM<D>>

### Static oneTime

- oneTime<T>(sourcePath: bindingFunction<T>): Bind

- - Defined in src/core/Bind.ts:139

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: bindingFunction<T>

  #### Returns Bind

### Static oneWay

- oneWay<T>(sourcePath: bindingFunction<T>): Bind

- - Defined in src/core/Bind.ts:143

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: bindingFunction<T>

  #### Returns Bind

### Static presenter

- presenter(name?: string): Bind

- - Defined in src/core/Bind.ts:129

  #### Parameters

  - ##### Optional name: string

  #### Returns Bind

### Static twoWays

- twoWays<T>(sourcePath: bindingFunction<T>, events?: string[]): Bind

- - Defined in src/core/Bind.ts:147

  #### Type parameters

  - #### T: IAtomComponent

  #### Parameters

  - ##### sourcePath: bindingFunction<T>

  - ##### Optional events: string[]

  #### Returns Bind

Generated using TypeDoc